<!--
  盛付通： 【参数配置】 页面内容

  @author terrfly
  @site https://www.jeequan.com
  @date 2022/11/03 08:35
-->
<template>
  <AppConfigCommonPage ref="appConfigCommonPageRef">
    <template #wxConfigPage><div /></template>
    <template #advancedConfigPage><div /></template>
  </AppConfigCommonPage>
</template>

<script lang="ts" setup>
import { ref } from 'vue'
import AppConfigCommonPage from '../../commons/AppConfigCommonPage.vue'

const appConfigCommonPageRef = ref()

// 对外暴露的 页面渲染函数  也用作初始化
function pageRender (applyId){
  appConfigCommonPageRef.value.pageRender(applyId) // 直接调用通用组件
}

// 不支持商户应用配置进入的配置（ 仅支持进件完成后的配置，如配置到应用 配置费率这些 ）
function unsupportAppConfigMode(){
  return true
}

defineExpose({ pageRender, unsupportAppConfigMode })
</script>
